/// Approximate function add8_016
///  Library = EvoApprox8b
///  Circuit = add8_016
///  Area   (180) = 528
///  Delay  (180) = 0.830
///  Power  (180) = 141.90
///  Area   (45) = 39
///  Delay  (45) = 0.310
///  Power  (45) = 13.83
///  Nodes = 7
///  HD = 190592
///  MAE = 5.31250
///  MSE = 42.50000
///  MRE = 2.83 %
///  WCE = 15
///  WCRE = 700 %
///  EP = 93.8 %
uint16_t add8_016(uint8_t a, uint8_t b)
{
  uint16_t c = 0;
  uint8_t n4 = (a >> 2) & 0x1;
  uint8_t n6 = (a >> 3) & 0x1;
  uint8_t n8 = (a >> 4) & 0x1;
  uint8_t n10 = (a >> 5) & 0x1;
  uint8_t n12 = (a >> 6) & 0x1;
  uint8_t n14 = (a >> 7) & 0x1;
  uint8_t n24 = (b >> 4) & 0x1;
  uint8_t n26 = (b >> 5) & 0x1;
  uint8_t n28 = (b >> 6) & 0x1;
  uint8_t n30 = (b >> 7) & 0x1;
  uint8_t n36;
  uint8_t n93;
  uint8_t n126;
  uint8_t n127;
  uint8_t n232;
  uint8_t n233;
  uint8_t n282;
  uint8_t n283;
  uint8_t n332;
  uint8_t n333;
  uint8_t n382;
  uint8_t n383;

  n36 = ~(n4 ^ n4);
  n93 = ~n36;
  n126 = ~n93;
  n127 = ~n93;
  n232 = n8 ^ n24;
  n233 = n8 & n24;
  n282 = (n10 ^ n26) ^ n233;
  n283 = (n10 & n26) | (n26 & n233) | (n10 & n233);
  n332 = (n12 ^ n28) ^ n283;
  n333 = (n12 & n28) | (n28 & n283) | (n12 & n283);
  n382 = (n14 ^ n30) ^ n333;
  n383 = (n14 & n30) | (n30 & n333) | (n14 & n333);

  c |= (n127 & 0x1) << 0;
  c |= (n126 & 0x1) << 1;
  c |= (n126 & 0x1) << 2;
  c |= (n6 & 0x1) << 3;
  c |= (n232 & 0x1) << 4;
  c |= (n282 & 0x1) << 5;
  c |= (n332 & 0x1) << 6;
  c |= (n382 & 0x1) << 7;
  c |= (n383 & 0x1) << 8;

  return c;
}

