function [ c ] = add8_035( a, b )
% Approximate function add8_035
%  Library = EvoApprox8b
%  Circuit = add8_035
%  Area   (180) = 1008
%  Delay  (180) = 1.970
%  Power  (180) = 262.80
%  Area   (45) = 71
%  Delay  (45) = 0.720
%  Power  (45) = 25.92
%  Nodes = 13
%  HD = 89608
%  MAE = 0.74805
%  MSE = 1.49219
%  MRE = 0.39 %
%  WCE = 3
%  WCRE = 50 %
%  EP = 43.8 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n0 = bitand(bitshift(a, -0), 1, 'uint16');
  n2 = bitand(bitshift(a, -1), 1, 'uint16');
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n16 = bitand(bitshift(b, -0), 1, 'uint16');
  n18 = bitand(bitshift(b, -1), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n32 = bitor(n0, n16);
  n38 = bitcmp(bitor(n14, bitor(n26, n30)));
  n52 = bitcmp(bitand(n38, bitand(n18, n16)));
  n58 = bitcmp(bitor(n52, n12));
  n77 = bitcmp(bitand(n58, bitand(n0, n2)));
  n81 = bitcmp(bitor(n10, bitor(n77, n28)));
  n83 = bitor(n2, n18);
  n132 = bitxor(bitxor(n4, n20), n81);
  n133 = bitor(bitor(bitand(n4, n20), bitand(n20, n81)), bitand(n4, n81));
  n182 = bitxor(bitxor(n6, n22), n133);
  n183 = bitor(bitor(bitand(n6, n22), bitand(n22, n133)), bitand(n6, n133));
  n232 = bitxor(bitxor(n8, n24), n183);
  n233 = bitor(bitor(bitand(n8, n24), bitand(n24, n183)), bitand(n8, n183));
  n282 = bitxor(bitxor(n10, n26), n233);
  n283 = bitor(bitor(bitand(n10, n26), bitand(n26, n233)), bitand(n10, n233));
  n332 = bitxor(bitxor(n12, n28), n283);
  n333 = bitor(bitor(bitand(n12, n28), bitand(n28, n283)), bitand(n12, n283));
  n382 = bitxor(bitxor(n14, n30), n333);
  n383 = bitor(bitor(bitand(n14, n30), bitand(n30, n333)), bitand(n14, n333));
  c = bitor(c, bitshift(bitand(n32, 1), 0));
  c = bitor(c, bitshift(bitand(n83, 1), 1));
  c = bitor(c, bitshift(bitand(n132, 1), 2));
  c = bitor(c, bitshift(bitand(n182, 1), 3));
  c = bitor(c, bitshift(bitand(n232, 1), 4));
  c = bitor(c, bitshift(bitand(n282, 1), 5));
  c = bitor(c, bitshift(bitand(n332, 1), 6));
  c = bitor(c, bitshift(bitand(n382, 1), 7));
  c = bitor(c, bitshift(bitand(n383, 1), 8));
end