function [ c ] = add8_063( a, b )
% Approximate function add8_063
%  Library = EvoApprox8b
%  Circuit = add8_063
%  Area   (180) = 1040
%  Delay  (180) = 0.780
%  Power  (180) = 271.00
%  Area   (45) = 69
%  Delay  (45) = 0.330
%  Power  (45) = 22.14
%  Nodes = 22
%  HD = 188544
%  MAE = 4.03125
%  MSE = 28.50000
%  MRE = 2.12 %
%  WCE = 15
%  WCRE = 500 %
%  EP = 90.6 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n36 = bitxor(n30, n30);
  n44 = bitor(n28, n12);
  n50 = bitor(n22, n6);
  n68 = bitxor(n8, n24);
  n69 = bitand(n8, n24);
  n71 = n69;
  n78 = bitxor(n10, n26);
  n79 = bitand(n10, n26);
  n80 = bitcmp(n36);
  n81 = bitcmp(n36);
  n86 = bitxor(n12, n28);
  n87 = bitand(n12, n28);
  n96 = bitxor(n14, n30);
  n97 = bitand(n14, n30);
  n131 = bitand(n10, n26);
  n134 = bitcmp(bitor(n26, n10));
  n137 = bitcmp(n134);
  n162 = bitand(n44, n131);
  n180 = bitor(n87, n162);
  n226 = bitand(n137, n71);
  n245 = bitor(n79, n226);
  n254 = bitand(n44, n226);
  n273 = bitor(n180, n254);
  n394 = bitxor(n78, n71);
  n404 = bitxor(n86, n245);
  n412 = bitxor(n96, n273);
  n413 = bitand(n96, n273);
  n423 = bitor(n97, n413);
  c = bitor(c, bitshift(bitand(n81, 1), 0));
  c = bitor(c, bitshift(bitand(n20, 1), 1));
  c = bitor(c, bitshift(bitand(n80, 1), 2));
  c = bitor(c, bitshift(bitand(n50, 1), 3));
  c = bitor(c, bitshift(bitand(n68, 1), 4));
  c = bitor(c, bitshift(bitand(n394, 1), 5));
  c = bitor(c, bitshift(bitand(n404, 1), 6));
  c = bitor(c, bitshift(bitand(n412, 1), 7));
  c = bitor(c, bitshift(bitand(n423, 1), 8));
end