/// Approximate function add8_072
///  Library = EvoApprox8b
///  Circuit = add8_072
///  Area   (180) = 716
///  Delay  (180) = 1.370
///  Power  (180) = 184.20
///  Area   (45) = 55
///  Delay  (45) = 0.530
///  Power  (45) = 17.84
///  Nodes = 13
///  HD = 176512
///  MAE = 3.04688
///  MSE = 17.56250
///  MRE = 1.60 %
///  WCE = 11
///  WCRE = 300 %
///  EP = 84.8 %
uint16_t add8_072(uint8_t a, uint8_t b)
{
  uint16_t c = 0;
  uint8_t n4 = (a >> 2) & 0x1;
  uint8_t n6 = (a >> 3) & 0x1;
  uint8_t n8 = (a >> 4) & 0x1;
  uint8_t n10 = (a >> 5) & 0x1;
  uint8_t n12 = (a >> 6) & 0x1;
  uint8_t n14 = (a >> 7) & 0x1;
  uint8_t n20 = (b >> 2) & 0x1;
  uint8_t n22 = (b >> 3) & 0x1;
  uint8_t n24 = (b >> 4) & 0x1;
  uint8_t n26 = (b >> 5) & 0x1;
  uint8_t n28 = (b >> 6) & 0x1;
  uint8_t n30 = (b >> 7) & 0x1;
  uint8_t n33;
  uint8_t n48;
  uint8_t n53;
  uint8_t n75;
  uint8_t n78;
  uint8_t n126;
  uint8_t n127;
  uint8_t n132;
  uint8_t n182;
  uint8_t n212;
  uint8_t n232;
  uint8_t n233;
  uint8_t n282;
  uint8_t n283;
  uint8_t n332;
  uint8_t n333;
  uint8_t n382;
  uint8_t n383;

  n33 = ~(n22 & n20 & n6);
  n48 = ~n33;
  n53 = n4 & n48;
  n75 = n53;
  n78 = n75;
  n126 = ~n78;
  n127 = ~n78;
  n132 = n4 | n20;
  n182 = n6 | n22;
  n212 = n78;
  n232 = (n8 ^ n24) ^ n212;
  n233 = (n8 & n24) | (n24 & n212) | (n8 & n212);
  n282 = (n10 ^ n26) ^ n233;
  n283 = (n10 & n26) | (n26 & n233) | (n10 & n233);
  n332 = (n12 ^ n28) ^ n283;
  n333 = (n12 & n28) | (n28 & n283) | (n12 & n283);
  n382 = (n14 ^ n30) ^ n333;
  n383 = (n14 & n30) | (n30 & n333) | (n14 & n333);

  c |= (n127 & 0x1) << 0;
  c |= (n126 & 0x1) << 1;
  c |= (n132 & 0x1) << 2;
  c |= (n182 & 0x1) << 3;
  c |= (n232 & 0x1) << 4;
  c |= (n282 & 0x1) << 5;
  c |= (n332 & 0x1) << 6;
  c |= (n382 & 0x1) << 7;
  c |= (n383 & 0x1) << 8;

  return c;
}

