/// Approximate function add8_188
///  Library = EvoApprox8b
///  Circuit = add8_188
///  Area   (180) = 876
///  Delay  (180) = 1.580
///  Power  (180) = 221.80
///  Area   (45) = 64
///  Delay  (45) = 0.580
///  Power  (45) = 21.78
///  Nodes = 14
///  HD = 140544
///  MAE = 1.73438
///  MSE = 6.17188
///  MRE = 0.89 %
///  WCE = 7
///  WCRE = 100 %
///  EP = 71.7 %
uint16_t add8_188(uint8_t a, uint8_t b)
{
  uint16_t c = 0;
  uint8_t n2 = (a >> 1) & 0x1;
  uint8_t n4 = (a >> 2) & 0x1;
  uint8_t n6 = (a >> 3) & 0x1;
  uint8_t n8 = (a >> 4) & 0x1;
  uint8_t n10 = (a >> 5) & 0x1;
  uint8_t n12 = (a >> 6) & 0x1;
  uint8_t n14 = (a >> 7) & 0x1;
  uint8_t n16 = (b >> 0) & 0x1;
  uint8_t n18 = (b >> 1) & 0x1;
  uint8_t n20 = (b >> 2) & 0x1;
  uint8_t n22 = (b >> 3) & 0x1;
  uint8_t n24 = (b >> 4) & 0x1;
  uint8_t n26 = (b >> 5) & 0x1;
  uint8_t n28 = (b >> 6) & 0x1;
  uint8_t n30 = (b >> 7) & 0x1;
  uint8_t n33;
  uint8_t n35;
  uint8_t n40;
  uint8_t n66;
  uint8_t n75;
  uint8_t n82;
  uint8_t n84;
  uint8_t n85;
  uint8_t n127;
  uint8_t n132;
  uint8_t n182;
  uint8_t n183;
  uint8_t n232;
  uint8_t n233;
  uint8_t n282;
  uint8_t n283;
  uint8_t n332;
  uint8_t n333;
  uint8_t n382;
  uint8_t n383;

  n33 = ~(n20 & n4 & n16);
  n35 = ~n33;
  n40 = ~(n28 | n30 | n12);
  n66 = n40 & n35;
  n75 = n66;
  n82 = n2 | n18;
  n84 = n75;
  n85 = n75;
  n127 = ~n85;
  n132 = n4 | n20;
  n182 = (n6 ^ n22) ^ n84;
  n183 = (n6 & n22) | (n22 & n84) | (n6 & n84);
  n232 = (n8 ^ n24) ^ n183;
  n233 = (n8 & n24) | (n24 & n183) | (n8 & n183);
  n282 = (n10 ^ n26) ^ n233;
  n283 = (n10 & n26) | (n26 & n233) | (n10 & n233);
  n332 = (n12 ^ n28) ^ n283;
  n333 = (n12 & n28) | (n28 & n283) | (n12 & n283);
  n382 = (n14 ^ n30) ^ n333;
  n383 = (n14 & n30) | (n30 & n333) | (n14 & n333);

  c |= (n127 & 0x1) << 0;
  c |= (n82 & 0x1) << 1;
  c |= (n132 & 0x1) << 2;
  c |= (n182 & 0x1) << 3;
  c |= (n232 & 0x1) << 4;
  c |= (n282 & 0x1) << 5;
  c |= (n332 & 0x1) << 6;
  c |= (n382 & 0x1) << 7;
  c |= (n383 & 0x1) << 8;

  return c;
}

