/// Approximate function add8_259
///  Library = EvoApprox8b
///  Circuit = add8_259
///  Area   (180) = 1184
///  Delay  (180) = 0.880
///  Power  (180) = 332.60
///  Area   (45) = 82
///  Delay  (45) = 0.370
///  Power  (45) = 26.53
///  Nodes = 28
///  HD = 188032
///  MAE = 5.77930
///  MSE = 50.00000
///  MRE = 3.08 %
///  WCE = 17
///  WCRE = 100 %
///  EP = 94.2 %
uint16_t add8_259(uint8_t a, uint8_t b)
{
  uint16_t c = 0;
  uint8_t n6 = (a >> 3) & 0x1;
  uint8_t n8 = (a >> 4) & 0x1;
  uint8_t n10 = (a >> 5) & 0x1;
  uint8_t n12 = (a >> 6) & 0x1;
  uint8_t n14 = (a >> 7) & 0x1;
  uint8_t n20 = (b >> 2) & 0x1;
  uint8_t n22 = (b >> 3) & 0x1;
  uint8_t n24 = (b >> 4) & 0x1;
  uint8_t n26 = (b >> 5) & 0x1;
  uint8_t n28 = (b >> 6) & 0x1;
  uint8_t n30 = (b >> 7) & 0x1;
  uint8_t n43;
  uint8_t n46;
  uint8_t n49;
  uint8_t n68;
  uint8_t n70;
  uint8_t n72;
  uint8_t n73;
  uint8_t n78;
  uint8_t n79;
  uint8_t n86;
  uint8_t n87;
  uint8_t n96;
  uint8_t n97;
  uint8_t n128;
  uint8_t n135;
  uint8_t n136;
  uint8_t n143;
  uint8_t n152;
  uint8_t n160;
  uint8_t n162;
  uint8_t n177;
  uint8_t n181;
  uint8_t n209;
  uint8_t n226;
  uint8_t n245;
  uint8_t n254;
  uint8_t n272;
  uint8_t n377;
  uint8_t n394;
  uint8_t n404;
  uint8_t n412;
  uint8_t n413;
  uint8_t n422;

  n43 = n28 | n12;
  n46 = n26 & n10;
  n49 = ~(n24 | n8 | n6);
  n68 = n8 & n24;
  n70 = n68;
  n72 = n24 ^ n8;
  n73 = n24 & n8;
  n78 = n10 ^ n26;
  n79 = n10 & n26;
  n86 = n12 ^ n28;
  n87 = n12 & n28;
  n96 = n14 ^ n30;
  n97 = n14 & n30;
  n128 = n43;
  n135 = n26 | n10;
  n136 = n135;
  n143 = n87;
  n152 = n70;
  n160 = n96;
  n162 = n43 & n46;
  n177 = ~n49;
  n181 = n143 | n162;
  n209 = n181;
  n226 = n136 & n152;
  n245 = n79 | n226;
  n254 = n128 & n226;
  n272 = n209 | n254;
  n377 = n160;
  n394 = n78 ^ n73;
  n404 = n86 ^ n245;
  n412 = n377 ^ n272;
  n413 = n377 & n272;
  n422 = n97 | n413;

  c |= (n12 & 0x1) << 0;
  c |= (n20 & 0x1) << 1;
  c |= (n72 & 0x1) << 2;
  c |= (n22 & 0x1) << 3;
  c |= (n177 & 0x1) << 4;
  c |= (n394 & 0x1) << 5;
  c |= (n404 & 0x1) << 6;
  c |= (n412 & 0x1) << 7;
  c |= (n422 & 0x1) << 8;

  return c;
}

