/// Approximate function add8_271
///  Library = EvoApprox8b
///  Circuit = add8_271
///  Area   (180) = 920
///  Delay  (180) = 0.800
///  Power  (180) = 259.40
///  Area   (45) = 61
///  Delay  (45) = 0.340
///  Power  (45) = 21.05
///  Nodes = 21
///  HD = 192640
///  MAE = 8.27344
///  MSE = 100.00000
///  MRE = 4.48 %
///  WCE = 25
///  WCRE = 800 %
///  EP = 96.6 %
uint16_t add8_271(uint8_t a, uint8_t b)
{
  uint16_t c = 0;
  uint8_t n4 = (a >> 2) & 0x1;
  uint8_t n6 = (a >> 3) & 0x1;
  uint8_t n8 = (a >> 4) & 0x1;
  uint8_t n10 = (a >> 5) & 0x1;
  uint8_t n12 = (a >> 6) & 0x1;
  uint8_t n14 = (a >> 7) & 0x1;
  uint8_t n22 = (b >> 3) & 0x1;
  uint8_t n24 = (b >> 4) & 0x1;
  uint8_t n26 = (b >> 5) & 0x1;
  uint8_t n28 = (b >> 6) & 0x1;
  uint8_t n30 = (b >> 7) & 0x1;
  uint8_t n43;
  uint8_t n44;
  uint8_t n46;
  uint8_t n69;
  uint8_t n78;
  uint8_t n79;
  uint8_t n86;
  uint8_t n87;
  uint8_t n96;
  uint8_t n97;
  uint8_t n135;
  uint8_t n145;
  uint8_t n146;
  uint8_t n152;
  uint8_t n162;
  uint8_t n180;
  uint8_t n226;
  uint8_t n244;
  uint8_t n254;
  uint8_t n273;
  uint8_t n394;
  uint8_t n404;
  uint8_t n412;
  uint8_t n413;
  uint8_t n422;

  n43 = n28 | n12;
  n44 = n28 | n12;
  n46 = n26 & n10;
  n69 = n8 & n24;
  n78 = n10 ^ n26;
  n79 = n10 & n26;
  n86 = n12 ^ n28;
  n87 = n12 & n28;
  n96 = n14 ^ n30;
  n97 = n14 & n30;
  n135 = n26 | n10;
  n145 = ~n69;
  n146 = ~n145;
  n152 = n146;
  n162 = n43 & n46;
  n180 = n87 | n162;
  n226 = n135 & n152;
  n244 = n79 | n226;
  n254 = n44 & n226;
  n273 = n180 | n254;
  n394 = n78 ^ n152;
  n404 = n86 ^ n244;
  n412 = n96 ^ n273;
  n413 = n96 & n273;
  n422 = n97 | n413;

  c |= (n4 & 0x1) << 0;
  c |= (n24 & 0x1) << 1;
  c |= (n22 & 0x1) << 2;
  c |= (n145 & 0x1) << 3;
  c |= (n6 & 0x1) << 4;
  c |= (n394 & 0x1) << 5;
  c |= (n404 & 0x1) << 6;
  c |= (n412 & 0x1) << 7;
  c |= (n422 & 0x1) << 8;

  return c;
}

