/// Approximate function add8_372
///  Library = EvoApprox8b
///  Circuit = add8_372
///  Area   (180) = 1168
///  Delay  (180) = 0.850
///  Power  (180) = 311.80
///  Area   (45) = 82
///  Delay  (45) = 0.360
///  Power  (45) = 25.03
///  Nodes = 29
///  HD = 188032
///  MAE = 6.93457
///  MSE = 69.25000
///  MRE = 3.63 %
///  WCE = 19
///  WCRE = 100 %
///  EP = 95.8 %
uint16_t add8_372(uint8_t a, uint8_t b)
{
  uint16_t c = 0;
  uint8_t n6 = (a >> 3) & 0x1;
  uint8_t n8 = (a >> 4) & 0x1;
  uint8_t n10 = (a >> 5) & 0x1;
  uint8_t n12 = (a >> 6) & 0x1;
  uint8_t n14 = (a >> 7) & 0x1;
  uint8_t n18 = (b >> 1) & 0x1;
  uint8_t n20 = (b >> 2) & 0x1;
  uint8_t n22 = (b >> 3) & 0x1;
  uint8_t n24 = (b >> 4) & 0x1;
  uint8_t n26 = (b >> 5) & 0x1;
  uint8_t n28 = (b >> 6) & 0x1;
  uint8_t n30 = (b >> 7) & 0x1;
  uint8_t n43;
  uint8_t n44;
  uint8_t n45;
  uint8_t n47;
  uint8_t n49;
  uint8_t n68;
  uint8_t n71;
  uint8_t n73;
  uint8_t n78;
  uint8_t n79;
  uint8_t n81;
  uint8_t n86;
  uint8_t n87;
  uint8_t n96;
  uint8_t n97;
  uint8_t n128;
  uint8_t n134;
  uint8_t n136;
  uint8_t n143;
  uint8_t n162;
  uint8_t n170;
  uint8_t n177;
  uint8_t n180;
  uint8_t n206;
  uint8_t n209;
  uint8_t n226;
  uint8_t n245;
  uint8_t n254;
  uint8_t n273;
  uint8_t n394;
  uint8_t n404;
  uint8_t n412;
  uint8_t n413;
  uint8_t n422;

  n43 = n28 | n12;
  n44 = n28 | n12;
  n45 = n28 | n12;
  n47 = n26 & n10;
  n49 = ~(n24 | n8 | n6);
  n68 = n8 & n24;
  n71 = n68;
  n73 = n24 & n8;
  n78 = n10 ^ n26;
  n79 = n10 & n26;
  n81 = n79;
  n86 = n12 ^ n28;
  n87 = n12 & n28;
  n96 = n14 ^ n30;
  n97 = n14 & n30;
  n128 = n44;
  n134 = n26 | n10;
  n136 = n134;
  n143 = n87;
  n162 = n43 & n47;
  n170 = n128;
  n177 = ~n49;
  n180 = n143 | n162;
  n206 = n136;
  n209 = n180;
  n226 = n206 & n71;
  n245 = n81 | n226;
  n254 = n170 & n226;
  n273 = n209 | n254;
  n394 = n78 ^ n73;
  n404 = n86 ^ n245;
  n412 = n96 ^ n273;
  n413 = n96 & n273;
  n422 = n97 | n413;

  c |= (n45 & 0x1) << 0;
  c |= (n20 & 0x1) << 1;
  c |= (n18 & 0x1) << 2;
  c |= (n22 & 0x1) << 3;
  c |= (n177 & 0x1) << 4;
  c |= (n394 & 0x1) << 5;
  c |= (n404 & 0x1) << 6;
  c |= (n412 & 0x1) << 7;
  c |= (n422 & 0x1) << 8;

  return c;
}

