function [ c ] = add8_383( a, b )
% Approximate function add8_383
%  Library = EvoApprox8b
%  Circuit = add8_383
%  Area   (180) = 652
%  Delay  (180) = 1.210
%  Power  (180) = 177.10
%  Area   (45) = 49
%  Delay  (45) = 0.440
%  Power  (45) = 17.36
%  Nodes = 10
%  HD = 176512
%  MAE = 3.28125
%  MSE = 20.81250
%  MRE = 1.67 %
%  WCE = 15
%  WCRE = 300 %
%  EP = 85.4 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n32 = bitcmp(bitand(n22, bitand(n20, n6)));
  n48 = bitcmp(bitor(n32, n28));
  n52 = bitand(n6, n48);
  n53 = bitand(n6, n48);
  n126 = bitcmp(n53);
  n127 = bitcmp(n53);
  n132 = bitor(n4, n20);
  n182 = bitor(n6, n22);
  n232 = bitxor(bitxor(n8, n24), n52);
  n233 = bitor(bitor(bitand(n8, n24), bitand(n24, n52)), bitand(n8, n52));
  n282 = bitxor(bitxor(n10, n26), n233);
  n283 = bitor(bitor(bitand(n10, n26), bitand(n26, n233)), bitand(n10, n233));
  n332 = bitxor(bitxor(n12, n28), n283);
  n333 = bitor(bitor(bitand(n12, n28), bitand(n28, n283)), bitand(n12, n283));
  n382 = bitxor(bitxor(n14, n30), n333);
  n383 = bitor(bitor(bitand(n14, n30), bitand(n30, n333)), bitand(n14, n333));
  c = bitor(c, bitshift(bitand(n127, 1), 0));
  c = bitor(c, bitshift(bitand(n126, 1), 1));
  c = bitor(c, bitshift(bitand(n132, 1), 2));
  c = bitor(c, bitshift(bitand(n182, 1), 3));
  c = bitor(c, bitshift(bitand(n232, 1), 4));
  c = bitor(c, bitshift(bitand(n282, 1), 5));
  c = bitor(c, bitshift(bitand(n332, 1), 6));
  c = bitor(c, bitshift(bitand(n382, 1), 7));
  c = bitor(c, bitshift(bitand(n383, 1), 8));
end