/// Approximate function add8_404
///  Library = EvoApprox8b
///  Circuit = add8_404
///  Area   (180) = 800
///  Delay  (180) = 1.480
///  Power  (180) = 233.40
///  Area   (45) = 60
///  Delay  (45) = 0.570
///  Power  (45) = 22.56
///  Nodes = 12
///  HD = 142592
///  MAE = 1.79688
///  MSE = 6.75000
///  MRE = 0.89 %
///  WCE = 9
///  WCRE = 200 %
///  EP = 78.9 %
uint16_t add8_404(uint8_t a, uint8_t b)
{
  uint16_t c = 0;
  uint8_t n2 = (a >> 1) & 0x1;
  uint8_t n4 = (a >> 2) & 0x1;
  uint8_t n6 = (a >> 3) & 0x1;
  uint8_t n8 = (a >> 4) & 0x1;
  uint8_t n10 = (a >> 5) & 0x1;
  uint8_t n12 = (a >> 6) & 0x1;
  uint8_t n14 = (a >> 7) & 0x1;
  uint8_t n18 = (b >> 1) & 0x1;
  uint8_t n20 = (b >> 2) & 0x1;
  uint8_t n22 = (b >> 3) & 0x1;
  uint8_t n24 = (b >> 4) & 0x1;
  uint8_t n26 = (b >> 5) & 0x1;
  uint8_t n28 = (b >> 6) & 0x1;
  uint8_t n30 = (b >> 7) & 0x1;
  uint8_t n34;
  uint8_t n40;
  uint8_t n45;
  uint8_t n46;
  uint8_t n117;
  uint8_t n133;
  uint8_t n182;
  uint8_t n183;
  uint8_t n221;
  uint8_t n232;
  uint8_t n233;
  uint8_t n282;
  uint8_t n283;
  uint8_t n332;
  uint8_t n333;
  uint8_t n382;
  uint8_t n383;

  n34 = ~(n4 & n18 & n20);
  n40 = ~(n20 & n18 & n4);
  n45 = n40 | n14;
  n46 = ~n45;
  n117 = n46;
  n133 = n4 | n20;
  n182 = (n6 ^ n22) ^ n117;
  n183 = (n6 & n22) | (n22 & n117) | (n6 & n117);
  n221 = n183;
  n232 = (n8 ^ n24) ^ n221;
  n233 = (n8 & n24) | (n24 & n221) | (n8 & n221);
  n282 = (n10 ^ n26) ^ n233;
  n283 = (n10 & n26) | (n26 & n233) | (n10 & n233);
  n332 = (n12 ^ n28) ^ n283;
  n333 = (n12 & n28) | (n28 & n283) | (n12 & n283);
  n382 = (n14 ^ n30) ^ n333;
  n383 = (n14 & n30) | (n30 & n333) | (n14 & n333);

  c |= (n2 & 0x1) << 0;
  c |= (n34 & 0x1) << 1;
  c |= (n133 & 0x1) << 2;
  c |= (n182 & 0x1) << 3;
  c |= (n232 & 0x1) << 4;
  c |= (n282 & 0x1) << 5;
  c |= (n332 & 0x1) << 6;
  c |= (n382 & 0x1) << 7;
  c |= (n383 & 0x1) << 8;

  return c;
}

