/// Approximate function add8_GDA_St_N8_M4_P4
///  Library = EvoApprox8b
///  Circuit = add8_GDA_S_N8_M4_P4
///  Area   (180) = 1776
///  Delay  (180) = 1.230
///  Power  (180) = 582.50
///  Area   (45) = 133
///  Delay  (45) = 0.480
///  Power  (45) = 53.92
///  Nodes = 31
///  HD = 2688
///  MAE = 1.50000
///  MSE = 96.00000
///  MRE = 0.74 %
///  WCE = 64
///  WCRE = 100 %
///  EP = 2.3 %
uint16_t add8_GDA_St_N8_M4_P4(uint8_t a, uint8_t b)
{
  uint16_t c = 0;
  uint8_t n0 = (a >> 0) & 0x1;
  uint8_t n2 = (a >> 1) & 0x1;
  uint8_t n4 = (a >> 2) & 0x1;
  uint8_t n6 = (a >> 3) & 0x1;
  uint8_t n8 = (a >> 4) & 0x1;
  uint8_t n10 = (a >> 5) & 0x1;
  uint8_t n12 = (a >> 6) & 0x1;
  uint8_t n14 = (a >> 7) & 0x1;
  uint8_t n16 = (b >> 0) & 0x1;
  uint8_t n18 = (b >> 1) & 0x1;
  uint8_t n20 = (b >> 2) & 0x1;
  uint8_t n22 = (b >> 3) & 0x1;
  uint8_t n24 = (b >> 4) & 0x1;
  uint8_t n26 = (b >> 5) & 0x1;
  uint8_t n28 = (b >> 6) & 0x1;
  uint8_t n30 = (b >> 7) & 0x1;
  uint8_t n32;
  uint8_t n34;
  uint8_t n38;
  uint8_t n40;
  uint8_t n42;
  uint8_t n44;
  uint8_t n46;
  uint8_t n48;
  uint8_t n50;
  uint8_t n52;
  uint8_t n54;
  uint8_t n56;
  uint8_t n58;
  uint8_t n60;
  uint8_t n62;
  uint8_t n64;
  uint8_t n66;
  uint8_t n68;
  uint8_t n70;
  uint8_t n72;
  uint8_t n74;
  uint8_t n76;
  uint8_t n78;
  uint8_t n80;
  uint8_t n81;
  uint8_t n82;
  uint8_t n86;
  uint8_t n87;
  uint8_t n88;
  uint8_t n92;
  uint8_t n93;
  uint8_t n94;
  uint8_t n98;
  uint8_t n99;
  uint8_t n100;
  uint8_t n101;

  n32 = n0 & n16;
  n34 = n2 & n18;
  n38 = n2 ^ n18;
  n40 = n38 & n32;
  n42 = n34 | n40;
  n44 = n4 & n20;
  n46 = n6 & n22;
  n48 = n4 ^ n20;
  n50 = n6 ^ n22;
  n52 = n50 & n44;
  n54 = n46 | n52;
  n56 = n50 & n48;
  n58 = n56 & n42;
  n60 = n54 | n58;
  n62 = n8 & n24;
  n64 = n10 & n26;
  n66 = n8 ^ n24;
  n68 = n10 ^ n26;
  n70 = n68 & n62;
  n72 = n64 | n70;
  n74 = n68 & n66;
  n76 = n74 & n54;
  n78 = n72 | n76;
  n80 = n0 ^ n16;
  n81 = n0 & n16;
  n82 = (n2 ^ n18) ^ n81;
  n86 = (n4 ^ n20) ^ n42;
  n87 = (n4 & n20) | (n20 & n42) | (n4 & n42);
  n88 = (n6 ^ n22) ^ n87;
  n92 = (n8 ^ n24) ^ n60;
  n93 = (n8 & n24) | (n24 & n60) | (n8 & n60);
  n94 = (n10 ^ n26) ^ n93;
  n98 = (n12 ^ n28) ^ n78;
  n99 = (n12 & n28) | (n28 & n78) | (n12 & n78);
  n100 = (n14 ^ n30) ^ n99;
  n101 = (n14 & n30) | (n30 & n99) | (n14 & n99);

  c |= (n80 & 0x1) << 0;
  c |= (n82 & 0x1) << 1;
  c |= (n86 & 0x1) << 2;
  c |= (n88 & 0x1) << 3;
  c |= (n92 & 0x1) << 4;
  c |= (n94 & 0x1) << 5;
  c |= (n98 & 0x1) << 6;
  c |= (n100 & 0x1) << 7;
  c |= (n101 & 0x1) << 8;

  return c;
}

