function [ c ] = add8_GDA_St_N8_M4_P4( a, b )
% Approximate function add8_GDA_St_N8_M4_P4
%  Library = EvoApprox8b
%  Circuit = add8_GDA_S_N8_M4_P4
%  Area   (180) = 1776
%  Delay  (180) = 1.230
%  Power  (180) = 582.50
%  Area   (45) = 133
%  Delay  (45) = 0.480
%  Power  (45) = 53.92
%  Nodes = 31
%  HD = 2688
%  MAE = 1.50000
%  MSE = 96.00000
%  MRE = 0.74 %
%  WCE = 64
%  WCRE = 100 %
%  EP = 2.3 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n0 = bitand(bitshift(a, -0), 1, 'uint16');
  n2 = bitand(bitshift(a, -1), 1, 'uint16');
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n16 = bitand(bitshift(b, -0), 1, 'uint16');
  n18 = bitand(bitshift(b, -1), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n32 = bitand(n0, n16);
  n34 = bitand(n2, n18);
  n38 = bitxor(n2, n18);
  n40 = bitand(n38, n32);
  n42 = bitor(n34, n40);
  n44 = bitand(n4, n20);
  n46 = bitand(n6, n22);
  n48 = bitxor(n4, n20);
  n50 = bitxor(n6, n22);
  n52 = bitand(n50, n44);
  n54 = bitor(n46, n52);
  n56 = bitand(n50, n48);
  n58 = bitand(n56, n42);
  n60 = bitor(n54, n58);
  n62 = bitand(n8, n24);
  n64 = bitand(n10, n26);
  n66 = bitxor(n8, n24);
  n68 = bitxor(n10, n26);
  n70 = bitand(n68, n62);
  n72 = bitor(n64, n70);
  n74 = bitand(n68, n66);
  n76 = bitand(n74, n54);
  n78 = bitor(n72, n76);
  n80 = bitxor(n0, n16);
  n81 = bitand(n0, n16);
  n82 = bitxor(bitxor(n2, n18), n81);
  n86 = bitxor(bitxor(n4, n20), n42);
  n87 = bitor(bitor(bitand(n4, n20), bitand(n20, n42)), bitand(n4, n42));
  n88 = bitxor(bitxor(n6, n22), n87);
  n92 = bitxor(bitxor(n8, n24), n60);
  n93 = bitor(bitor(bitand(n8, n24), bitand(n24, n60)), bitand(n8, n60));
  n94 = bitxor(bitxor(n10, n26), n93);
  n98 = bitxor(bitxor(n12, n28), n78);
  n99 = bitor(bitor(bitand(n12, n28), bitand(n28, n78)), bitand(n12, n78));
  n100 = bitxor(bitxor(n14, n30), n99);
  n101 = bitor(bitor(bitand(n14, n30), bitand(n30, n99)), bitand(n14, n99));
  c = bitor(c, bitshift(bitand(n80, 1), 0));
  c = bitor(c, bitshift(bitand(n82, 1), 1));
  c = bitor(c, bitshift(bitand(n86, 1), 2));
  c = bitor(c, bitshift(bitand(n88, 1), 3));
  c = bitor(c, bitshift(bitand(n92, 1), 4));
  c = bitor(c, bitshift(bitand(n94, 1), 5));
  c = bitor(c, bitshift(bitand(n98, 1), 6));
  c = bitor(c, bitshift(bitand(n100, 1), 7));
  c = bitor(c, bitshift(bitand(n101, 1), 8));
end