function [ c ] = add8_GDA_St_N8_M8_P1( a, b )
% Approximate function add8_GDA_St_N8_M8_P1
%  Library = EvoApprox8b
%  Circuit = add8_GDA_S_N8_M8_P1
%  Area   (180) = 1312
%  Delay  (180) = 0.510
%  Power  (180) = 338.40
%  Area   (45) = 100
%  Delay  (45) = 0.200
%  Power  (45) = 32.50
%  Nodes = 22
%  HD = 90240
%  MAE = 31.50000
%  MSE = 3040.00000
%  MRE = 13.69 %
%  WCE = 168
%  WCRE = 100 %
%  EP = 60.2 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n0 = bitand(bitshift(a, -0), 1, 'uint16');
  n2 = bitand(bitshift(a, -1), 1, 'uint16');
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n16 = bitand(bitshift(b, -0), 1, 'uint16');
  n18 = bitand(bitshift(b, -1), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n32 = bitand(n0, n16);
  n34 = bitand(n2, n18);
  n36 = bitand(n4, n20);
  n38 = bitand(n6, n22);
  n40 = bitand(n8, n24);
  n42 = bitand(n10, n26);
  n44 = bitand(n12, n28);
  n60 = n32;
  n62 = n34;
  n64 = n36;
  n66 = n38;
  n68 = n40;
  n70 = n42;
  n72 = n44;
  n74 = bitxor(n0, n16);
  n78 = bitxor(bitxor(n2, n18), n60);
  n82 = bitxor(bitxor(n4, n20), n62);
  n86 = bitxor(bitxor(n6, n22), n64);
  n90 = bitxor(bitxor(n8, n24), n66);
  n94 = bitxor(bitxor(n10, n26), n68);
  n98 = bitxor(bitxor(n12, n28), n70);
  n102 = bitxor(bitxor(n14, n30), n72);
  n103 = bitor(bitor(bitand(n14, n30), bitand(n30, n72)), bitand(n14, n72));
  c = bitor(c, bitshift(bitand(n74, 1), 0));
  c = bitor(c, bitshift(bitand(n78, 1), 1));
  c = bitor(c, bitshift(bitand(n82, 1), 2));
  c = bitor(c, bitshift(bitand(n86, 1), 3));
  c = bitor(c, bitshift(bitand(n90, 1), 4));
  c = bitor(c, bitshift(bitand(n94, 1), 5));
  c = bitor(c, bitshift(bitand(n98, 1), 6));
  c = bitor(c, bitshift(bitand(n102, 1), 7));
  c = bitor(c, bitshift(bitand(n103, 1), 8));
end