function [ c ] = add8_GDA_St_N8_M8_P4( a, b )
% Approximate function add8_GDA_St_N8_M8_P4
%  Library = EvoApprox8b
%  Circuit = add8_GDA_S_N8_M8_P4
%  Area   (180) = 2608
%  Delay  (180) = 1.270
%  Power  (180) = 792.00
%  Area   (45) = 199
%  Delay  (45) = 0.520
%  Power  (45) = 70.83
%  Nodes = 58
%  HD = 5248
%  MAE = 3.50000
%  MSE = 336.00000
%  MRE = 1.65 %
%  WCE = 128
%  WCRE = 100 %
%  EP = 4.7 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n0 = bitand(bitshift(a, -0), 1, 'uint16');
  n2 = bitand(bitshift(a, -1), 1, 'uint16');
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n16 = bitand(bitshift(b, -0), 1, 'uint16');
  n18 = bitand(bitshift(b, -1), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n32 = bitand(n0, n16);
  n34 = bitand(n2, n18);
  n36 = bitand(n4, n20);
  n38 = bitand(n6, n22);
  n40 = bitand(n8, n24);
  n42 = bitand(n10, n26);
  n44 = bitand(n12, n28);
  n48 = bitxor(n2, n18);
  n50 = bitxor(n4, n20);
  n52 = bitxor(n6, n22);
  n54 = bitxor(n8, n24);
  n56 = bitxor(n10, n26);
  n58 = bitxor(n12, n28);
  n60 = n32;
  n62 = n34;
  n64 = bitand(n48, n60);
  n66 = bitor(n62, n64);
  n68 = n36;
  n70 = bitand(n50, n62);
  n72 = bitand(n50, n64);
  n74 = bitor(n70, n72);
  n76 = bitor(n68, n74);
  n78 = n38;
  n80 = bitand(n52, n68);
  n82 = bitand(n52, n70);
  n84 = bitand(n52, n72);
  n86 = bitor(n82, n84);
  n88 = bitor(n80, n86);
  n90 = bitor(n78, n88);
  n92 = n40;
  n94 = bitand(n54, n78);
  n96 = bitand(n54, n80);
  n98 = bitand(n54, n82);
  n100 = bitor(n96, n98);
  n102 = bitor(n94, n100);
  n104 = bitor(n92, n102);
  n106 = n42;
  n108 = bitand(n56, n92);
  n110 = bitand(n56, n94);
  n112 = bitand(n56, n96);
  n114 = bitor(n110, n112);
  n116 = bitor(n108, n114);
  n118 = bitor(n106, n116);
  n120 = n44;
  n122 = bitand(n58, n106);
  n124 = bitand(n58, n108);
  n126 = bitand(n58, n110);
  n128 = bitor(n124, n126);
  n130 = bitor(n122, n128);
  n132 = bitor(n120, n130);
  n134 = bitxor(n0, n16);
  n138 = bitxor(bitxor(n2, n18), n60);
  n142 = bitxor(bitxor(n4, n20), n66);
  n146 = bitxor(bitxor(n6, n22), n76);
  n150 = bitxor(bitxor(n8, n24), n90);
  n154 = bitxor(bitxor(n10, n26), n104);
  n158 = bitxor(bitxor(n12, n28), n118);
  n162 = bitxor(bitxor(n14, n30), n132);
  n163 = bitor(bitor(bitand(n14, n30), bitand(n30, n132)), bitand(n14, n132));
  c = bitor(c, bitshift(bitand(n134, 1), 0));
  c = bitor(c, bitshift(bitand(n138, 1), 1));
  c = bitor(c, bitshift(bitand(n142, 1), 2));
  c = bitor(c, bitshift(bitand(n146, 1), 3));
  c = bitor(c, bitshift(bitand(n150, 1), 4));
  c = bitor(c, bitshift(bitand(n154, 1), 5));
  c = bitor(c, bitshift(bitand(n158, 1), 6));
  c = bitor(c, bitshift(bitand(n162, 1), 7));
  c = bitor(c, bitshift(bitand(n163, 1), 8));
end