function [ c ] = add8_GeAr_N8_R1_P1( a, b )
% Approximate function add8_GeAr_N8_R1_P1
%  Library = EvoApprox8b
%  Circuit = add8_GA_N8_R1_P1
%  Area   (180) = 1400
%  Delay  (180) = 0.530
%  Power  (180) = 364.20
%  Area   (45) = 95
%  Delay  (45) = 0.190
%  Power  (45) = 36.08
%  Nodes = 14
%  HD = 90240
%  MAE = 31.50000
%  MSE = 3040.00000
%  MRE = 13.69 %
%  WCE = 168
%  WCRE = 100 %
%  EP = 60.2 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n0 = bitand(bitshift(a, -0), 1, 'uint16');
  n2 = bitand(bitshift(a, -1), 1, 'uint16');
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n16 = bitand(bitshift(b, -0), 1, 'uint16');
  n18 = bitand(bitshift(b, -1), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n32 = bitxor(n0, n16);
  n33 = bitand(n0, n16);
  n34 = bitxor(bitxor(n2, n18), n33);
  n39 = bitand(n2, n18);
  n40 = bitxor(bitxor(n4, n20), n39);
  n45 = bitand(n4, n20);
  n46 = bitxor(bitxor(n6, n22), n45);
  n51 = bitand(n6, n22);
  n52 = bitxor(bitxor(n8, n24), n51);
  n57 = bitand(n8, n24);
  n58 = bitxor(bitxor(n10, n26), n57);
  n63 = bitand(n10, n26);
  n64 = bitxor(bitxor(n12, n28), n63);
  n69 = bitand(n12, n28);
  n70 = bitxor(bitxor(n14, n30), n69);
  n71 = bitor(bitor(bitand(n14, n30), bitand(n30, n69)), bitand(n14, n69));
  c = bitor(c, bitshift(bitand(n32, 1), 0));
  c = bitor(c, bitshift(bitand(n34, 1), 1));
  c = bitor(c, bitshift(bitand(n40, 1), 2));
  c = bitor(c, bitshift(bitand(n46, 1), 3));
  c = bitor(c, bitshift(bitand(n52, 1), 4));
  c = bitor(c, bitshift(bitand(n58, 1), 5));
  c = bitor(c, bitshift(bitand(n64, 1), 6));
  c = bitor(c, bitshift(bitand(n70, 1), 7));
  c = bitor(c, bitshift(bitand(n71, 1), 8));
end