function [ c ] = add8_GeAr_N8_R1_P2( a, b )
% Approximate function add8_GeAr_N8_R1_P2
%  Library = EvoApprox8b
%  Circuit = add8_GA_N8_R1_P2
%  Area   (180) = 1920
%  Delay  (180) = 0.870
%  Power  (180) = 593.20
%  Area   (45) = 135
%  Delay  (45) = 0.310
%  Power  (45) = 58.15
%  Nodes = 18
%  HD = 36992
%  MAE = 15.50000
%  MSE = 1392.00000
%  MRE = 7.07 %
%  WCE = 144
%  WCRE = 100 %
%  EP = 30.1 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n0 = bitand(bitshift(a, -0), 1, 'uint16');
  n2 = bitand(bitshift(a, -1), 1, 'uint16');
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n16 = bitand(bitshift(b, -0), 1, 'uint16');
  n18 = bitand(bitshift(b, -1), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n32 = bitxor(n0, n16);
  n33 = bitand(n0, n16);
  n34 = bitxor(bitxor(n2, n18), n33);
  n35 = bitor(bitor(bitand(n2, n18), bitand(n18, n33)), bitand(n2, n33));
  n36 = bitxor(bitxor(n4, n20), n35);
  n41 = bitand(n2, n18);
  n43 = bitor(bitor(bitand(n4, n20), bitand(n20, n41)), bitand(n4, n41));
  n44 = bitxor(bitxor(n6, n22), n43);
  n49 = bitand(n4, n20);
  n51 = bitor(bitor(bitand(n6, n22), bitand(n22, n49)), bitand(n6, n49));
  n52 = bitxor(bitxor(n8, n24), n51);
  n57 = bitand(n6, n22);
  n59 = bitor(bitor(bitand(n8, n24), bitand(n24, n57)), bitand(n8, n57));
  n60 = bitxor(bitxor(n10, n26), n59);
  n65 = bitand(n8, n24);
  n67 = bitor(bitor(bitand(n10, n26), bitand(n26, n65)), bitand(n10, n65));
  n68 = bitxor(bitxor(n12, n28), n67);
  n73 = bitand(n10, n26);
  n75 = bitor(bitor(bitand(n12, n28), bitand(n28, n73)), bitand(n12, n73));
  n76 = bitxor(bitxor(n14, n30), n75);
  n77 = bitor(bitor(bitand(n14, n30), bitand(n30, n75)), bitand(n14, n75));
  c = bitor(c, bitshift(bitand(n32, 1), 0));
  c = bitor(c, bitshift(bitand(n34, 1), 1));
  c = bitor(c, bitshift(bitand(n36, 1), 2));
  c = bitor(c, bitshift(bitand(n44, 1), 3));
  c = bitor(c, bitshift(bitand(n52, 1), 4));
  c = bitor(c, bitshift(bitand(n60, 1), 5));
  c = bitor(c, bitshift(bitand(n68, 1), 6));
  c = bitor(c, bitshift(bitand(n76, 1), 7));
  c = bitor(c, bitshift(bitand(n77, 1), 8));
end