function [ c ] = add8_GeAr_N8_R1_P4( a, b )
% Approximate function add8_GeAr_N8_R1_P4
%  Library = EvoApprox8b
%  Circuit = add8_GA_N8_R1_P4
%  Area   (180) = 2240
%  Delay  (180) = 1.420
%  Power  (180) = 803.20
%  Area   (45) = 161
%  Delay  (45) = 0.500
%  Power  (45) = 77.40
%  Nodes = 20
%  HD = 5248
%  MAE = 3.50000
%  MSE = 336.00000
%  MRE = 1.65 %
%  WCE = 128
%  WCRE = 100 %
%  EP = 4.7 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n0 = bitand(bitshift(a, -0), 1, 'uint16');
  n2 = bitand(bitshift(a, -1), 1, 'uint16');
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n16 = bitand(bitshift(b, -0), 1, 'uint16');
  n18 = bitand(bitshift(b, -1), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n32 = bitxor(n0, n16);
  n33 = bitand(n0, n16);
  n34 = bitxor(bitxor(n2, n18), n33);
  n35 = bitor(bitor(bitand(n2, n18), bitand(n18, n33)), bitand(n2, n33));
  n36 = bitxor(bitxor(n4, n20), n35);
  n37 = bitor(bitor(bitand(n4, n20), bitand(n20, n35)), bitand(n4, n35));
  n38 = bitxor(bitxor(n6, n22), n37);
  n39 = bitor(bitor(bitand(n6, n22), bitand(n22, n37)), bitand(n6, n37));
  n40 = bitxor(bitxor(n8, n24), n39);
  n45 = bitand(n2, n18);
  n47 = bitor(bitor(bitand(n4, n20), bitand(n20, n45)), bitand(n4, n45));
  n49 = bitor(bitor(bitand(n6, n22), bitand(n22, n47)), bitand(n6, n47));
  n51 = bitor(bitor(bitand(n8, n24), bitand(n24, n49)), bitand(n8, n49));
  n52 = bitxor(bitxor(n10, n26), n51);
  n57 = bitand(n4, n20);
  n59 = bitor(bitor(bitand(n6, n22), bitand(n22, n57)), bitand(n6, n57));
  n61 = bitor(bitor(bitand(n8, n24), bitand(n24, n59)), bitand(n8, n59));
  n63 = bitor(bitor(bitand(n10, n26), bitand(n26, n61)), bitand(n10, n61));
  n64 = bitxor(bitxor(n12, n28), n63);
  n69 = bitand(n6, n22);
  n71 = bitor(bitor(bitand(n8, n24), bitand(n24, n69)), bitand(n8, n69));
  n73 = bitor(bitor(bitand(n10, n26), bitand(n26, n71)), bitand(n10, n71));
  n75 = bitor(bitor(bitand(n12, n28), bitand(n28, n73)), bitand(n12, n73));
  n76 = bitxor(bitxor(n14, n30), n75);
  n77 = bitor(bitor(bitand(n14, n30), bitand(n30, n75)), bitand(n14, n75));
  c = bitor(c, bitshift(bitand(n32, 1), 0));
  c = bitor(c, bitshift(bitand(n34, 1), 1));
  c = bitor(c, bitshift(bitand(n36, 1), 2));
  c = bitor(c, bitshift(bitand(n38, 1), 3));
  c = bitor(c, bitshift(bitand(n40, 1), 4));
  c = bitor(c, bitshift(bitand(n52, 1), 5));
  c = bitor(c, bitshift(bitand(n64, 1), 6));
  c = bitor(c, bitshift(bitand(n76, 1), 7));
  c = bitor(c, bitshift(bitand(n77, 1), 8));
end