function [ c ] = add8_GeAr_N8_R1_P6( a, b )
% Approximate function add8_GeAr_N8_R1_P6
%  Library = EvoApprox8b
%  Circuit = add8_GA_N8_R1_P6
%  Area   (180) = 1600
%  Delay  (180) = 1.600
%  Power  (180) = 587.20
%  Area   (45) = 116
%  Delay  (45) = 0.580
%  Power  (45) = 57.19
%  Nodes = 14
%  HD = 384
%  MAE = 0.50000
%  MSE = 64.00000
%  MRE = 0.23 %
%  WCE = 128
%  WCRE = 100 %
%  EP = 0.4 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n0 = bitand(bitshift(a, -0), 1, 'uint16');
  n2 = bitand(bitshift(a, -1), 1, 'uint16');
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n16 = bitand(bitshift(b, -0), 1, 'uint16');
  n18 = bitand(bitshift(b, -1), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n32 = bitxor(n0, n16);
  n33 = bitand(n0, n16);
  n34 = bitxor(bitxor(n2, n18), n33);
  n35 = bitor(bitor(bitand(n2, n18), bitand(n18, n33)), bitand(n2, n33));
  n36 = bitxor(bitxor(n4, n20), n35);
  n37 = bitor(bitor(bitand(n4, n20), bitand(n20, n35)), bitand(n4, n35));
  n38 = bitxor(bitxor(n6, n22), n37);
  n39 = bitor(bitor(bitand(n6, n22), bitand(n22, n37)), bitand(n6, n37));
  n40 = bitxor(bitxor(n8, n24), n39);
  n41 = bitor(bitor(bitand(n8, n24), bitand(n24, n39)), bitand(n8, n39));
  n42 = bitxor(bitxor(n10, n26), n41);
  n43 = bitor(bitor(bitand(n10, n26), bitand(n26, n41)), bitand(n10, n41));
  n44 = bitxor(bitxor(n12, n28), n43);
  n49 = bitand(n2, n18);
  n51 = bitor(bitor(bitand(n4, n20), bitand(n20, n49)), bitand(n4, n49));
  n53 = bitor(bitor(bitand(n6, n22), bitand(n22, n51)), bitand(n6, n51));
  n55 = bitor(bitor(bitand(n8, n24), bitand(n24, n53)), bitand(n8, n53));
  n57 = bitor(bitor(bitand(n10, n26), bitand(n26, n55)), bitand(n10, n55));
  n59 = bitor(bitor(bitand(n12, n28), bitand(n28, n57)), bitand(n12, n57));
  n60 = bitxor(bitxor(n14, n30), n59);
  n61 = bitor(bitor(bitand(n14, n30), bitand(n30, n59)), bitand(n14, n59));
  c = bitor(c, bitshift(bitand(n32, 1), 0));
  c = bitor(c, bitshift(bitand(n34, 1), 1));
  c = bitor(c, bitshift(bitand(n36, 1), 2));
  c = bitor(c, bitshift(bitand(n38, 1), 3));
  c = bitor(c, bitshift(bitand(n40, 1), 4));
  c = bitor(c, bitshift(bitand(n42, 1), 5));
  c = bitor(c, bitshift(bitand(n44, 1), 6));
  c = bitor(c, bitshift(bitand(n60, 1), 7));
  c = bitor(c, bitshift(bitand(n61, 1), 8));
end