function [ c ] = add8_GeAr_N8_R2_P2( a, b )
% Approximate function add8_GeAr_N8_R2_P2
%  Library = EvoApprox8b
%  Circuit = add8_GA_N8_R2_P2
%  Area   (180) = 1320
%  Delay  (180) = 0.950
%  Power  (180) = 431.50
%  Area   (45) = 94
%  Delay  (45) = 0.340
%  Power  (45) = 42.26
%  Nodes = 12
%  HD = 22656
%  MAE = 7.50000
%  MSE = 408.00000
%  MRE = 3.65 %
%  WCE = 64
%  WCRE = 100 %
%  EP = 18.8 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n0 = bitand(bitshift(a, -0), 1, 'uint16');
  n2 = bitand(bitshift(a, -1), 1, 'uint16');
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n16 = bitand(bitshift(b, -0), 1, 'uint16');
  n18 = bitand(bitshift(b, -1), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n32 = bitxor(n0, n16);
  n33 = bitand(n0, n16);
  n34 = bitxor(bitxor(n2, n18), n33);
  n35 = bitor(bitor(bitand(n2, n18), bitand(n18, n33)), bitand(n2, n33));
  n36 = bitxor(bitxor(n4, n20), n35);
  n37 = bitor(bitor(bitand(n4, n20), bitand(n20, n35)), bitand(n4, n35));
  n38 = bitxor(bitxor(n6, n22), n37);
  n43 = bitand(n4, n20);
  n45 = bitor(bitor(bitand(n6, n22), bitand(n22, n43)), bitand(n6, n43));
  n46 = bitxor(bitxor(n8, n24), n45);
  n47 = bitor(bitor(bitand(n8, n24), bitand(n24, n45)), bitand(n8, n45));
  n48 = bitxor(bitxor(n10, n26), n47);
  n53 = bitand(n8, n24);
  n55 = bitor(bitor(bitand(n10, n26), bitand(n26, n53)), bitand(n10, n53));
  n56 = bitxor(bitxor(n12, n28), n55);
  n57 = bitor(bitor(bitand(n12, n28), bitand(n28, n55)), bitand(n12, n55));
  n58 = bitxor(bitxor(n14, n30), n57);
  n59 = bitor(bitor(bitand(n14, n30), bitand(n30, n57)), bitand(n14, n57));
  c = bitor(c, bitshift(bitand(n32, 1), 0));
  c = bitor(c, bitshift(bitand(n34, 1), 1));
  c = bitor(c, bitshift(bitand(n36, 1), 2));
  c = bitor(c, bitshift(bitand(n38, 1), 3));
  c = bitor(c, bitshift(bitand(n46, 1), 4));
  c = bitor(c, bitshift(bitand(n48, 1), 5));
  c = bitor(c, bitshift(bitand(n56, 1), 6));
  c = bitor(c, bitshift(bitand(n58, 1), 7));
  c = bitor(c, bitshift(bitand(n59, 1), 8));
end