function [ c ] = add8_HigherValencyTreeAdder_With_KoggeStoneArchitecture( a, b )
% Approximate function add8_HigherValencyTreeAdder_With_KoggeStoneArchitecture
%  Library = EvoApprox8b
%  Circuit = add8_HVTA_wt_KSA
%  Area   (180) = 2368
%  Delay  (180) = 1.210
%  Power  (180) = 912.20
%  Area   (45) = 167
%  Delay  (45) = 0.470
%  Power  (45) = 74.25
%  Nodes = 56
%  HD = 0
%  MAE = 0.00000
%  MSE = 0.00000
%  MRE = 0.00 %
%  WCE = 0
%  WCRE = 0 %
%  EP = 0.0 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n0 = bitand(bitshift(a, -0), 1, 'uint16');
  n2 = bitand(bitshift(a, -1), 1, 'uint16');
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n16 = bitand(bitshift(b, -0), 1, 'uint16');
  n18 = bitand(bitshift(b, -1), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n32 = bitxor(n0, n16);
  n33 = bitand(n0, n16);
  n34 = bitxor(n2, n18);
  n35 = bitand(n2, n18);
  n36 = bitxor(n4, n20);
  n37 = bitand(n4, n20);
  n38 = bitxor(n6, n22);
  n39 = bitand(n6, n22);
  n40 = bitxor(n8, n24);
  n41 = bitand(n8, n24);
  n42 = bitxor(n10, n26);
  n43 = bitand(n10, n26);
  n44 = bitxor(n12, n28);
  n45 = bitand(n12, n28);
  n46 = bitxor(n14, n30);
  n47 = bitand(n14, n30);
  n48 = bitand(n33, n34);
  n50 = bitor(n48, n35);
  n52 = bitand(n33, n34);
  n54 = bitor(n52, n35);
  n56 = bitand(n54, n36);
  n58 = bitor(n56, n37);
  n64 = bitand(n35, n36);
  n66 = bitor(n64, n37);
  n68 = bitand(n66, n38);
  n70 = bitor(n68, n39);
  n72 = bitand(n34, n36);
  n74 = bitand(n72, n38);
  n76 = bitand(n37, n38);
  n78 = bitor(n76, n39);
  n80 = bitand(n78, n40);
  n82 = bitor(n80, n41);
  n84 = bitand(n36, n38);
  n86 = bitand(n84, n40);
  n88 = bitand(n39, n40);
  n90 = bitor(n88, n41);
  n92 = bitand(n90, n42);
  n94 = bitor(n92, n43);
  n96 = bitand(n38, n40);
  n98 = bitand(n96, n42);
  n100 = bitand(n41, n42);
  n102 = bitor(n100, n43);
  n104 = bitand(n102, n44);
  n106 = bitor(n104, n45);
  n108 = bitand(n40, n42);
  n110 = bitand(n108, n44);
  n112 = bitand(n33, n74);
  n114 = bitor(n112, n70);
  n116 = bitand(n50, n86);
  n118 = bitor(n116, n82);
  n120 = bitand(n58, n98);
  n122 = bitor(n120, n94);
  n124 = bitand(n33, n74);
  n126 = bitor(n124, n70);
  n128 = bitand(n126, n110);
  n130 = bitor(n128, n106);
  n132 = bitxor(n34, n33);
  n134 = bitxor(n36, n50);
  n136 = bitxor(n38, n58);
  n138 = bitxor(n40, n114);
  n140 = bitxor(n42, n118);
  n142 = bitxor(n44, n122);
  n144 = bitxor(n46, n130);
  n145 = bitand(n46, n130);
  n146 = bitor(n47, n145);
  c = bitor(c, bitshift(bitand(n32, 1), 0));
  c = bitor(c, bitshift(bitand(n132, 1), 1));
  c = bitor(c, bitshift(bitand(n134, 1), 2));
  c = bitor(c, bitshift(bitand(n136, 1), 3));
  c = bitor(c, bitshift(bitand(n138, 1), 4));
  c = bitor(c, bitshift(bitand(n140, 1), 5));
  c = bitor(c, bitshift(bitand(n142, 1), 6));
  c = bitor(c, bitshift(bitand(n144, 1), 7));
  c = bitor(c, bitshift(bitand(n146, 1), 8));
end