function [ c ] = add8_HigherValencyTreeAdder_With_SklanskyArchitecture( a, b )
% Approximate function add8_HigherValencyTreeAdder_With_SklanskyArchitecture
%  Library = EvoApprox8b
%  Circuit = add8_HVTA_wt_SA
%  Area   (180) = 1984
%  Delay  (180) = 1.240
%  Power  (180) = 779.10
%  Area   (45) = 138
%  Delay  (45) = 0.480
%  Power  (45) = 63.72
%  Nodes = 44
%  HD = 0
%  MAE = 0.00000
%  MSE = 0.00000
%  MRE = 0.00 %
%  WCE = 0
%  WCRE = 0 %
%  EP = 0.0 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n0 = bitand(bitshift(a, -0), 1, 'uint16');
  n2 = bitand(bitshift(a, -1), 1, 'uint16');
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n16 = bitand(bitshift(b, -0), 1, 'uint16');
  n18 = bitand(bitshift(b, -1), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n32 = bitxor(n0, n16);
  n33 = bitand(n0, n16);
  n34 = bitxor(n2, n18);
  n35 = bitand(n2, n18);
  n36 = bitxor(n4, n20);
  n37 = bitand(n4, n20);
  n38 = bitxor(n6, n22);
  n39 = bitand(n6, n22);
  n40 = bitxor(n8, n24);
  n41 = bitand(n8, n24);
  n42 = bitxor(n10, n26);
  n43 = bitand(n10, n26);
  n44 = bitxor(n12, n28);
  n45 = bitand(n12, n28);
  n46 = bitxor(n14, n30);
  n47 = bitand(n14, n30);
  n48 = bitand(n33, n34);
  n50 = bitor(n48, n35);
  n52 = bitand(n37, n38);
  n54 = bitor(n52, n39);
  n56 = bitand(n36, n38);
  n58 = bitand(n37, n38);
  n60 = bitor(n58, n39);
  n62 = bitand(n60, n40);
  n64 = bitor(n62, n41);
  n66 = bitand(n36, n38);
  n68 = bitand(n66, n40);
  n70 = bitand(n43, n44);
  n72 = bitor(n70, n45);
  n74 = bitand(n42, n44);
  n76 = bitand(n50, n36);
  n78 = bitor(n76, n37);
  n80 = bitand(n50, n56);
  n82 = bitor(n80, n54);
  n84 = bitand(n50, n68);
  n86 = bitor(n84, n64);
  n88 = bitand(n50, n68);
  n90 = bitor(n88, n64);
  n92 = bitand(n90, n42);
  n94 = bitor(n92, n43);
  n96 = bitand(n50, n68);
  n98 = bitor(n96, n64);
  n100 = bitand(n98, n74);
  n102 = bitor(n100, n72);
  n104 = bitxor(n34, n33);
  n106 = bitxor(n36, n50);
  n108 = bitxor(n38, n78);
  n110 = bitxor(n40, n82);
  n112 = bitxor(n42, n86);
  n114 = bitxor(n44, n94);
  n116 = bitxor(n46, n102);
  n117 = bitand(n46, n102);
  n118 = bitor(n47, n117);
  c = bitor(c, bitshift(bitand(n32, 1), 0));
  c = bitor(c, bitshift(bitand(n104, 1), 1));
  c = bitor(c, bitshift(bitand(n106, 1), 2));
  c = bitor(c, bitshift(bitand(n108, 1), 3));
  c = bitor(c, bitshift(bitand(n110, 1), 4));
  c = bitor(c, bitshift(bitand(n112, 1), 5));
  c = bitor(c, bitshift(bitand(n114, 1), 6));
  c = bitor(c, bitshift(bitand(n116, 1), 7));
  c = bitor(c, bitshift(bitand(n118, 1), 8));
end